hiddens=(64 128 256 512)
layers=(2 3 4)
partitions=(1 2 4 8 16 32 64 128 256 512 1024)

for (( i = 1; i <= 10; i++ ))
do

for hidden in "${hiddens[@]}"
do

for layer in "${layers[@]}"
do

for part in "${partitions[@]}"
do
    # echo 'part' $part 'hidden' $hidden  'layer' $layer 'seed' $i
    # commands to be executed for each iteration
    # python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 1
    python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 0.01
    python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 0.001 
    python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 0.0001
    python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 0.00001
    python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 0.000001
    python main_arxiv_lip.py --n_partitions $part --n_runs 1 --dataset ogbn-arxiv --n_hidden $hidden --n_layers $layer --seed $i --lip_lambda 0.0000001


done
done
done
done

